summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Dominik Drobek <dominik.drobek (at) o2.pl>2021-01-02 01:06:03 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2021-01-02 10:48:30 +0700
commitbb8ee34b3423402cd00f51ba35b1fa3830ae3b03 (patch)
tree7861c721238d40f245088e2f216143b856a3f321 /network
parent01b4e42e1529873ca1c0cbab7090aaa827772450 (diff)
downloadslackbuilds-bb8ee34b3423402cd00f51ba35b1fa3830ae3b03.tar.gz
slackbuilds-bb8ee34b3423402cd00f51ba35b1fa3830ae3b03.tar.xz
network/skype4pidgin: Updated for version 1.7.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/skype4pidgin/skype4pidgin.SlackBuild61
-rw-r--r--network/skype4pidgin/skype4pidgin.info10
-rw-r--r--network/skype4pidgin/slack-desc4
3 files changed, 33 insertions, 42 deletions
diff --git a/network/skype4pidgin/skype4pidgin.SlackBuild b/network/skype4pidgin/skype4pidgin.SlackBuild
index cbd3911f97..a66958472a 100644
--- a/network/skype4pidgin/skype4pidgin.SlackBuild
+++ b/network/skype4pidgin/skype4pidgin.SlackBuild
@@ -1,48 +1,47 @@
#!/bin/sh
-# Slackware build script for SkypeWeb Chat for Pidgin
+# Slackware build script for skype4pidgin
#
-# Copyright 2018 Ekin Akoglu <ekinakoglu@gmail.com>
# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# Copyright 2018 Ekin Akoglu <ekinakoglu@gmail.com>
+# Copyright 2020 Dominik Drobek <dominik.drobek (at) o2.pl>
# All rights reserved.
#
-# Based on:
-# SBo's cmake-template
-#
-# Previously used chunks from Erik W. Hanson's FaceBook SlackBuild.
-#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=skype4pidgin
-VERSION=${VERSION:-1.5}
+VERSION=${VERSION:-1.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i586 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- *) export ARCH=$MARCH ;;
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -52,9 +51,6 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
@@ -62,11 +58,6 @@ fi
set -e
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -80,13 +71,13 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Go to skypeweb folder, since there are two plugins in this archive
cd skypeweb
-
-# Let's compile!
make
make install DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README.md gpl3.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/skype4pidgin/skype4pidgin.info b/network/skype4pidgin/skype4pidgin.info
index 51f94b4ff0..080f646cc6 100644
--- a/network/skype4pidgin/skype4pidgin.info
+++ b/network/skype4pidgin/skype4pidgin.info
@@ -1,10 +1,10 @@
PRGNAM="skype4pidgin"
-VERSION="1.5"
+VERSION="1.7"
HOMEPAGE="https://github.com/EionRobb/skype4pidgin"
-DOWNLOAD="https://github.com/EionRobb/skype4pidgin/archive/1.5/skype4pidgin-1.5.tar.gz"
-MD5SUM="8f524b4090b0d2c2fc4878477c61140f"
+DOWNLOAD="https://github.com/EionRobb/skype4pidgin/archive/1.7/skype4pidgin-1.7.tar.gz"
+MD5SUM="6af9359c55f4644fc8848389df582848"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="json-glib"
-MAINTAINER="Ekin Akoglu"
-EMAIL="ekinakoglu@gmail.com"
+MAINTAINER="Dominik Drobek"
+EMAIL="dominik.drobek (at) o2.pl"
diff --git a/network/skype4pidgin/slack-desc b/network/skype4pidgin/slack-desc
index 1c774a97bd..d1d7a51476 100644
--- a/network/skype4pidgin/slack-desc
+++ b/network/skype4pidgin/slack-desc
@@ -11,8 +11,8 @@ skype4pidgin:
skype4pidgin: Adds Skype client-less chat (text only) to Pidgin using the SkypeWeb
skype4pidgin: protocol. Has many features already, such as group chat.
skype4pidgin:
-skype4pidgin: Homepage:
-skype4pidgin: https://github.com/EionRobb/skype4pidgin
+skype4pidgin: Homepage: https://github.com/EionRobb/skype4pidgin
+skype4pidgin:
skype4pidgin:
skype4pidgin:
skype4pidgin: